"""Rename GRCh36 assembly to NCBI36

Revision ID: 2e062969eb54
Revises: 402ff01b0d5d
Create Date: 2014-10-22 13:09:17.336650

"""

from __future__ import unicode_literals

# revision identifiers, used by Alembic.
revision = '2e062969eb54'
down_revision = u'402ff01b0d5d'

from alembic import op
from sqlalchemy import sql
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    assemblies = sql.table('assemblies',
                           sql.column('name', sa.String(30)))
    # https://alembic.readthedocs.org/en/latest/ops.html#alembic.operations.Operations.execute
    op.execute(assemblies.update().where(assemblies.c.name == op.inline_literal('GRCh36')).values({'name': op.inline_literal('NCBI36')}))
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    assemblies = sql.table('assemblies',
                           sql.column('name', sa.String(30)))
    # https://alembic.readthedocs.org/en/latest/ops.html#alembic.operations.Operations.execute
    op.execute(assemblies.update().where(assemblies.c.name == op.inline_literal('NCBI36')).values({'name': op.inline_literal('GRCh36')}))
    ### end Alembic commands ###
